Bug 131743 - gnbd: Kernel Oops, traffic on multiple importers
gnbd: Kernel Oops, traffic on multiple importers
Status: CLOSED WORKSFORME
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-03 15:55 EDT by Derek Anderson
Modified: 2010-01-11 21:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-07 15:31:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-09-03 15:55:20 EDT
Description of problem:
Setup: One gnbd exporter and two importers.  Exported a single device
(uncached) and import on the others.  No volume manager was involved.
 Created a GFS on the device and mounted on all.  Ran traffic on all.
 In this case the traffic was just a loop of bonnie++.

The setup is similar to bug #127032, but the result is different, so
new bug.

On the first iteration the first importer was doing "Delete files in
random order..." and the kernel Oopsed:

Unable to handle kernel paging request at virtual address 00200214
 printing eip:
e0316965
*pde = 1a09e067
Oops: 0000 [#1]
SMP
Modules linked in: gnbd gfs lock_dlm dlm cman lock_harness ipv6
parport_pc lp parport autofs4 sunrpc e1000 floppy sg microcode dm_mod
uhci_hcd ehci_hcd button battery asus_acpi ac ext3 jbd qla2xxx
scsi_transport_fc sd_mod scsi_mod
CPU:    0
EIP:    0060:[<e0316965>]    Not tainted
EFLAGS: 00010206   (2.6.8.1)
EIP is at depend_sync_old+0x25/0x50 [gfs]
eax: 0000ea60   ebx: e0501000   ecx: 002001f8   edx: c1000000
esi: df759200   edi: 0015817d   ebp: 00000000   esp: d97f7d34
ds: 007b   es: 007b   ss: 0068
Process bonnie++ (pid: 6660, threadinfo=d97f6000 task=dee43830)
Stack: dd4703c0 00000001 dd4703c0 e02f1ae6 0015817c 00000000 00000000
00000001
       ca3ad800 e0501000 df759200 de923c4c c8db4ce0 de923c4c df759200
df759200
       e0501000 e0318b7b 0015817c 00000000 00000000 00000000 de923c4c
e03000d7
Call Trace:
 [<e02f1ae6>] gfs_wipe_buffers+0x136/0x2a0 [gfs]
 [<e0318b7b>] gfs_difree+0x5b/0x70 [gfs]
 [<e03000d7>] dinode_dealloc+0xc7/0x190 [gfs]
 [<e0300310>] inode_dealloc+0x170/0x260 [gfs]
 [<e0300486>] inode_dealloc_init+0x86/0xc0 [gfs]
 [<e031bd27>] gfs_unlinked_limit+0x57/0xa0 [gfs]
 [<e0310072>] gfs_unlink+0x32/0x190 [gfs]
 [<e02fcaf1>] gfs_glock_dq+0xc1/0x130 [gfs]
 [<e02fcd68>] gfs_glock_dq_uninit+0x8/0x10 [gfs]
 [<e03114b9>] gfs_permission+0x139/0x1b0 [gfs]
 [<c0168ab2>] permission+0x62/0x70
 [<c016b836>] vfs_unlink+0x116/0x1e0
 [<c016b9c6>] sys_unlink+0xc6/0x150
 [<c01268d4>] __do_softirq+0xb4/0xc0
 [<c0118b6c>] smp_apic_timer_interrupt+0xcc/0x130
 [<c0105e4d>] sysenter_past_esp+0x52/0x71
Code: 8b 51 1c 01 d0 8b 15 00 fc 33 c0 39 c2 78 0b 89 ca 89 d8 e8


Version-Release number of selected component (if applicable):
From cvs on s.r.c
gnbd_import -V
gnbd_import DEVEL.1094226134 (built Sep  3 2004 10:43:47)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
Have not attempted yet.  Will try next without the exporter running
traffic.

Steps to Reproduce:
1. Listed above.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Derek Anderson 2004-09-09 13:56:38 EDT
I have reproduced this on the same setup but without running traffic
locally do the device from the exporter.  The two exporters were
simultaneously running bonnie++ in a loop.  Again, the node with the
error was on the bonnie section of "Delete files in random order..."
when it Oopsed, iteration #25.

<1>Unable to handle kernel paging request at virtual address a3341158
 printing eip:
e02bb17c
*pde = 00000000
Oops: 0002 [#2]
SMP
Modules linked in: gnbd lock_dlm dlm cman gfs lock_harness ipv6
parport_pc lp parport autofs4 sunrpc e1000 floppy sg microcode dm_mod
uhci_hcd ehci_hcd button battery asus_acpi ac ext3 jbd qla2xxx
scsi_transport_fc sd_mod scsi_mod
CPU:    0
EIP:    0060:[<e02bb17c>]    Not tainted
EFLAGS: 00010202   (2.6.8.1)
EIP is at gfs_holder_init+0x5c/0x80 [gfs]
eax: da256b98   ebx: da256b70   ecx: 00000000   edx: da256b94
esi: a3341140   edi: da256ba0   ebp: 00000160   esp: d2e2bd70
ds: 007b   es: 007b   ss: 0068
Process df (pid: 6861, threadinfo=d2e2a000 task=d3d1ec70)
Stack: da256b70 0000003d da256c00 00000000 e02bcd37 da256b70 da256b70
0000003d
       e02da559 da256b70 00000000 00000040 da256000 dec5cc00 00000001
d2e2be44
       00000000 d2e2be44 d2e2be78 0000000d e02da686 00000000 00000001
e032d000
Call Trace:
 [<e02bcd37>] gfs_glock_nq_init+0x17/0x40 [gfs]
 [<e02da559>] stat_gfs_async+0xf9/0x1d0 [gfs]
 [<e02da686>] gfs_stat_gfs+0x56/0x180 [gfs]
 [<c017bcd4>] __mark_inode_dirty+0x1a4/0x1b0
 [<c0106909>] error_code+0x2d/0x38
 [<e02d218e>] gfs_statfs+0x2e/0xe0 [gfs]
 [<c0159a46>] vfs_statfs+0x66/0x80
 [<c0159b44>] vfs_statfs64+0x14/0x40
 [<c016a1da>] __user_walk+0x6a/0x80
 [<c0159c84>] sys_statfs64+0x74/0xb0
 [<c010c51c>] sys_mmap2+0x8c/0xd0
 [<c011b950>] do_page_fault+0x0/0x4fc
 [<c0105e4d>] sysenter_past_esp+0x52/0x71
Code: f0 ff 46 18 8b 1c 24 8b 74 24 04 8b 7c 24 08 8b 6c 24 0c 83
Comment 2 Derek Anderson 2004-09-09 14:03:09 EDT
Comment #1 was less than clear: 
- No traffic running on the exporter 
- Traffic running on two importers 
Comment 3 Ben Marzinski 2004-10-19 15:20:38 EDT
I tried to reproduce this bug for a while, with no success.  If anything
changes, I can start trying again.
Comment 4 Derek Anderson 2005-01-07 15:31:22 EST
OK, I can no longer reproduce this bug either.  Closing.

Note You need to log in before you can comment on or make changes to this bug.